/*
 * GToolKit - Objective-C interface to the GIMP Toolkit
 * Copyright (c) 1998, 1999, 2000, 2001  Elmar Ludwig
 *
 * Generated automatically from gtkprogress.h by gtkgen.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
#ifndef GTOOLKIT_GTKPROGRESS_H
#define GTOOLKIT_GTKPROGRESS_H

#include <gtk/gtkprogress.h>
#include <GToolKit/GTKWidget.h>

@class GTKAdjustment;

@interface GTKProgress : GTKWidget
+ (GtkType) getType;
- (void) setShowText:(gint) show_text;
- (void) setTextAlignment:(gfloat) x_align yAlign:(gfloat) y_align;
- (void) setFormatString:(NSString *) format;
- (void) setAdjustment:(GTKAdjustment *) adjustment;
- (void) configure:(gfloat) value min:(gfloat) min max:(gfloat) max;
- (void) setPercentage:(gfloat) percentage;
- (void) setValue:(gfloat) value;
- (gfloat) getValue;
- (void) setActivityMode:(guint) activity_mode;
- (NSString *) getCurrentText;
- (NSString *) getTextFromValue:(gfloat) value;
- (gfloat) getCurrentPercentage;
- (gfloat) getPercentageFromValue:(gfloat) value;
@end

#endif /* GTOOLKIT_GTKPROGRESS_H */
