/*
 * GToolKit - Objective-C interface to the GIMP Toolkit
 * Copyright (c) 1998, 1999, 2000, 2001  Elmar Ludwig
 *
 * Generated automatically from gtktreeitem.h by gtkgen.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
#ifndef GTOOLKIT_GTKTREEITEM_H
#define GTOOLKIT_GTKTREEITEM_H

#include <gtk/gtktreeitem.h>
#include <GToolKit/GTKItem.h>

@class GTKWidget;

@interface GTKTreeItem : GTKItem
+ (GtkType) getType;
+ (id) treeItem;
- (id) init;
+ (id) treeItemWithLabel:(NSString *) label;
- (id) initWithLabel:(NSString *) label;
- (void) setSubtree:(GTKWidget *) subtree;
- (void) removeSubtree;
- (void) select;
- (void) deselect;
- (void) expand;
- (void) collapse;
- (GTKWidget *) subtree;
@end

#endif /* GTOOLKIT_GTKTREEITEM_H */
